package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.BaseProductLine;

/**
 * 产线信息Service接口
 * 
 * @author Yinq
 * @date 2023-09-19
 */
public interface IBaseProductLineService 
{
    /**
     * 查询产线信息
     * 
     * @param objId 产线信息主键
     * @return 产线信息
     */
    public BaseProductLine selectBaseProductLineByObjId(Long objId);

    /**
     * 查询产线信息列表
     * 
     * @param baseProductLine 产线信息
     * @return 产线信息集合
     */
    public List<BaseProductLine> selectBaseProductLineList(BaseProductLine baseProductLine);

    /**
     * 新增产线信息
     * 
     * @param baseProductLine 产线信息
     * @return 结果
     */
    public int insertBaseProductLine(BaseProductLine baseProductLine);

    /**
     * 修改产线信息
     * 
     * @param baseProductLine 产线信息
     * @return 结果
     */
    public int updateBaseProductLine(BaseProductLine baseProductLine);

    /**
     * 批量删除产线信息
     * 
     * @param objIds 需要删除的产线信息主键集合
     * @return 结果
     */
    public int deleteBaseProductLineByObjIds(Long[] objIds);

    /**
     * 删除产线信息信息
     * 
     * @param objId 产线信息主键
     * @return 结果
     */
    public int deleteBaseProductLineByObjId(Long objId);
}
